Web lists-archives.com

Re: [Samba] samba upgrade fails: corrupted ./private/secrets.ldb?




On Tue, 21 Feb 2017 07:13:06 +1300
Andrew Bartlett via samba <samba@xxxxxxxxxxxxxxx> wrote:

> On Mon, 2017-02-20 at 13:03 +0100, lists via samba wrote:
> > Hi,
> > 
> > Hope someone can help.
> > 
> > We're on the sernet packages, and trying to update 4.3.8 to 4.3.13 
> > (=latest in the repo) This is failing like this:
> > 

What are you trying to upgrade, a DC or domain member ?
Only ask because you seem to be installing these packages:

> > > root@domainmember:/etc/apt# apt-get install sernet-samba sernet-
> > > samba-client sernet-samba-common sernet-samba-keyring
> > > sernet-samba- libs sernet-samba-libsmbclient0 sernet-samba-winbind

But not this package:

> > > Suggested packages:
> > >   sernet-samba-ad

Sort of raises the question, why are you not just running 'apt-get
update && apt-get upgrade' ?

If it is a DC and you really want to upgrade your way, try again, but
this time add the suggested package.

If it is a domain member, try leaving the domain, remove the samba
packages, install the new packages and join the domain again.

Rowland


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba